Bug 126757 - lock_dlm: Assertion failed on line 272 of file fs/gfs_locking/lock_dlm/lock.c
lock_dlm: Assertion failed on line 272 of file fs/gfs_locking/lock_dlm/lock.c
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: David Teigland
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-25 17:26 EDT by Dean Jansa
Modified: 2010-01-11 21:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-01 10:47:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dean Jansa 2004-06-25 17:26:31 EDT
While attempting to narrow down the syscalls used to hit 126537 
using iogen/doio I hit the following assertion in lock_dlm: 
 
(6 node cluster, all nodes running: iogen -o -m random -s 
write,writev,readv -t 1b -T1000b 10000b:tfile1  | doio -avk) 
 
  k 5892 error 0 
en plock 5892 7,40a9f03 
req 7,40a9f03 ex e680f-12eb12 5892 w 1 
ex plock 5892 error 0 
en punlock 5892 7,40a9f03 
remove 7,40a9f03 5892 
ex punlock 5892 error 0 
en plock 5892 7,40a9f03 
req 7,40a9f03 ex 100753-1719bd 5892 w 1 
ex plock 5892 error 0 
en punlock 5892 7,40a9f03 
remove 7,40a9f03 5892 
ex punlock 5892 error 0 
en plock 5892 7,40a9f03 
req 7,40a9f03 ex 15e7ad-1b1306 5892 w 1 
ex plock 5892 error 0 
en punlock 5892 7,40a9f03 
remove 7,40a9f03 5892 
ex punlock 5892 error 0 
en plock 5892 7,40a9f03 
req 7,40a9f03 ex 177959-1e4de3 5892 w 1 
ex plock 5892 error 0 
en punlock 5892 7,40a9f03 
remove 7,40a9f03 5892 
ex punlock 5892 error 0 
en plock 5892 7,40a9f03 
req 7,40a9f03 ex 123e6f-188ee0 5892 w 1 
ex plock 5892 error 0 
en punlock 5892 7,40a9f03 
remove 7,40a9f03 5892 
ex punlock 5892 error 0 
en plock 5892 7,40a9f03 
req 7,40a9f03 ex 12a7f1-135265 5892 w 1 
ex plock 5892 error 0 
en punlock 5892 7,40a9f03 
remove 7,40a9f03 5892 
ex punlock 5892 error 0 
en plock 5892 7,40a9f03 
req 7,40a9f03 ex 41eb3-b9c4c 5892 w 1 
 
lock_dlm:  Assertion failed on line 272 of file 
fs/gfs_locking/lock_dlm/lock.c 
lock_dlm:  assertion:  "!error" 
lock_dlm:  time = 106036030 
gfs0: error=-16 num=11,40a9f03 
 
Kernel panic: lock_dlm:  Record message above and reboot. 
 
This then caused all the nodes to fail with stacks which look just 
like recovery bug 126604. 
 
Version-Release number of selected component (if applicable): 
 
 
How reproducible: 
Didn't try, yet 
 
Steps to Reproduce: 
1.iogen -o -m random -s write,writev,readv -t 1b -T1000b 
10000b:tfile1  | doio -avk  on all nodes in your cluster in a gfs 
fs. 
 
2. 
3. 
     
 
Additional info:
Comment 1 Dean Jansa 2004-06-25 17:31:24 EDT
/home/msp/djansa/pub/bugs/126757 contains the console output of all 
the nodes. 
Comment 2 David Teigland 2004-06-28 05:11:23 EDT
I ran this test for about an hour today and didn't have any problem.
I'm curious if kernel preemption might be a factor here.
Comment 3 Derek Anderson 2004-06-28 09:38:52 EDT
Our kernels are configured with: 
# CONFIG_PREEMPT is not set 
Comment 4 David Teigland 2004-08-18 23:48:32 EDT
This should be fixed after all the recent testing/fixing with iogen/doio
related to plocks.
Comment 5 Dean Jansa 2004-08-23 12:13:46 EDT
I hit a new assertion while atempting to veryify this bug, that bug 
# is: 130665  
Comment 6 Corey Marthaler 2004-09-01 10:47:47 EDT
I haven't seen this assertion the past two nights while running this
I/O load.
Comment 7 Kiersten (Kerri) Anderson 2004-11-16 14:05:52 EST
Updating version to the right level in the defects.  Sorry for the storm.

Note You need to log in before you can comment on or make changes to this bug.